| Box2D 2.3.0 A 2D Physics Engine for Games

Public Types | Public Member Functions | Public Attributes | List of all members
b2EPCollider Struct Reference

## Public Types
enum | VertexType { e_isolated, e_concave, e_convex }

## Public Member Functions
void | Collide (b2Manifold *manifold, const b2EdgeShape *edgeA, const b2Transform &xfA, const b2PolygonShape *polygonB, const b2Transform &xfB)
b2EPAxis | ComputeEdgeSeparation ()
b2EPAxis | ComputePolygonSeparation ()

## Public Attributes
b2TempPolygon | m_polygonB
b2Transform | m_xf
b2Vec2 | m_centroidB
b2Vec2 | m_v0
b2Vec2 | m_v1
b2Vec2 | m_v2
b2Vec2 | m_v3
b2Vec2 | m_normal0
b2Vec2 | m_normal1
b2Vec2 | m_normal2
b2Vec2 | m_normal
VertexType | m_type1
VertexType | m_type2
b2Vec2 | m_lowerLimit
b2Vec2 | m_upperLimit
float32 | m_radius
bool | m_front

The documentation for this struct was generated from the following file:

- b2CollideEdge.cpp